Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1490854 - [Doc] OSP 9 Director and upgrade documentation does not specify a need for the 'rhel-7-server-rhceph-1.3-osd-rpms' channel on compute nodes
Summary: [Doc] OSP 9 Director and upgrade documentation does not specify a need for th...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 9.0 (Mitaka)
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-12 11:40 UTC by Paul Needle
Modified: 2021-03-11 15:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-17 09:34:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Paul Needle 2017-09-12 11:40:41 UTC
Description of problem:

My understanding is that there is a requirement for the librbd1 package to be installed on OSP compute nodes so that compute nodes have reference to the shared library for RBD when mounting Ceph volumes within guest instances.

However, both the OSP 9 'Director Installation and Usage' guide and the OSP 9 'Upgrading Red Hat OpenStack Platform' guide only state in their respective repository requirements sections that 'rhel-7-server-rhceph-1.3-osd-rpms' is required 'for Ceph storage nodes':

  OSP 9 Director Installation and Usage - 2.5. Repository Requirements
  https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/9/html-single/director_installation_and_usage/#sect-Repository_Requirements
  
  OSP 9 Upgrading Red Hat OpenStack Platform - 1.2. Repository Requirements
  https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/9/html-single/upgrading_red_hat_openstack_platform/#sect-Repository_Requirements
  
As a result, the 'rhel-7-server-rhceph-1.3-osd-rpms' repository would not be applied to compute nodes when that documentation is followed. Subsequently, librbd1 would not get updated on compute nodes, which would leave compute nodes potentially exposed to known, fixed issues within librbd1.

Version-Release number of selected component (if applicable):

OSP 9 Director Installation and Usage guide and the OSP 9 Upgrading Red Hat OpenStack Platform guide current versions (and potentially those documents in reference to later major releases).

How reproducible:

N/A.

Steps to Reproduce:

N/A.

Actual results:

OSP 9 Director Installation and Usage guide and the OSP 9 Upgrading Red Hat OpenStack Platform guide do not mention a requirement for the 'rhel-7-server-rhceph-1.3-osd-rpms' channel to be active on compute nodes, but librbd1 may be required on compute nodes when Ceph volumes are mounted on guest instances.

Expected results:

For the guides to include reference to the requirement outlined above.

Comment 1 Robin Cernin 2017-09-15 13:32:04 UTC
Wouldn't it be better to modify this to use librbd1 from within following repo:

Red Hat Enterprise Linux Server 7 x86_64 	rhel-7-server-rhceph-1.3-tools-rpms 

As it is part of product: "Red Hat Enterprise Linux Server 7 x86_64".

Comment 5 Dan Macpherson 2017-10-03 05:48:09 UTC
Hi Paul,

I have added the tools repo to the OSP9 doc:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/9/html-single/director_installation_and_usage/#sect-Repository_Requirements

I have also modified the text for OSP10:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html-single/director_installation_and_usage/#sect-Repository_Requirements

I've modified it to say to add the repo to all nodes if you're deploying a Ceph cluster. My rationale is that there are also some non-Compute components that need this channel too (I remember hitting some issues with standalone Telemetry nodes using Ceph as a backend).

How does it look to you now? Was there anything further required?

Comment 8 Paul Needle 2017-10-17 09:34:37 UTC
Thank you Dan, that is great.

From a review of this Bugzilla, it is my understanding that all requirements have been met. As such, I am closing this Bugzilla as resolved.

Many thanks again for your help.

Kind regards,
Paul.


Note You need to log in before you can comment on or make changes to this bug.